Bug 1021907 - simplify keyboard layout display: "English (English (US))" -> "English (US)" etc
simplify keyboard layout display: "English (English (US))" -> "English (US)" etc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
RejectedFreezeException
: i18n, Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 06:11 EDT by Jens Petersen
Modified: 2013-11-23 23:00 EST (History)
7 users (show)

See Also:
Fixed In Version: pykickstart-1.99.46-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 23:00:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-20.25.1-keyboard-layout-naming-6.patch (1.20 KB, patch)
2013-10-22 06:11 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Jens Petersen 2013-10-22 06:11:04 EDT
Created attachment 814924 [details]
anaconda-20.25.1-keyboard-layout-naming-6.patch

Description of problem:
The the new anaconda UI I really wanted to have this patch.
Currently this is a lot of repetition in the way anaconda
displays keyboard layout names in its UI, since it uses
roughly

  _ iso_lang.name (_ xkb.description)

and often xkb.description starts with langname resulting in:

eg:
- English (English (US))
- Japanese (Japanese)
- Arabic (Arabic)
- German (German (Austria))
- <Language> (<Language> (<variant>))
- etc

The attached patch which I have tested carefully
for various major languages improves this
so that instead it display just:

- English (US)
- Japanese
- Arabic
- German (Austria)
- <Language> (<variant>)
- etc

For layouts where description does not start with lang
the output remains same are currently.

Version-Release number of selected component (if applicable):
anaconda-20

How reproducible:
100%

Steps to Reproduce:
1. Install fedora with anaconda

Actual results:
1. Installer shows US layout as "English (English (US))"

Expected results:
2. Installer should show US layout as "English (US)"

Additional info:
I feel the current output is confusing and suboptimal
so I hope this patch can be used in Fedora 20.
Comment 1 Vratislav Podzimek 2013-10-22 09:51:45 EDT
Good idea! I'll send this patch to anaconda-patches for a review.
Comment 2 Adam Williamson 2013-10-23 13:35:23 EDT
Discussed at 2013-10-23 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-23/f20-blocker-review.2013-10-23-16.00.log.txt . Rejected as a freeze exception issue: this is an entirely cosmetic and fairly trivial change to a vital and very fragile element of the installer, and that's a bad thing to take during a freeze period. This does not mean the change can't go into F20, but we'd prefer it be landed post-Beta, so we can catch any breakage early in Final testing without destabilizing Beta.
Comment 3 Vratislav Podzimek 2013-10-30 08:46:48 EDT
(In reply to Adam Williamson from comment #2)
> Discussed at 2013-10-23 freeze exception review meeting:
> http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-23/f20-
> blocker-review.2013-10-23-16.00.log.txt . Rejected as a freeze exception
> issue: this is an entirely cosmetic and fairly trivial change to a vital and
> very fragile element of the installer, and that's a bad thing to take during
> a freeze period. This does not mean the change can't go into F20, but we'd
> prefer it be landed post-Beta, so we can catch any breakage early in Final
> testing without destabilizing Beta.
I'm sorry, but I've accidentally pushed the patch to the f20-branch as well as to the master branch. Shall I revert it or could we give it a try and revert it in case of some troubles? I've tested it and everything looks okay and working as expected. Sorry for complicating things.
Comment 4 Fedora Update System 2013-10-30 23:27:29 EDT
python-blivet-0.23.3-1.fc20, anaconda-20.25.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.5-1.fc20,python-blivet-0.23.3-1.fc20
Comment 5 Fedora Update System 2013-10-30 23:27:38 EDT
python-blivet-0.23.3-1.fc20, anaconda-20.25.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.5-1.fc20,python-blivet-0.23.3-1.fc20
Comment 6 Vratislav Podzimek 2013-10-31 01:23:19 EDT
The change has been reverted, but the scripts grabbing list of bugs to put into an update didn't get that. Moving back to POST.
Comment 7 Fedora Update System 2013-10-31 13:39:17 EDT
Package python-blivet-0.23.3-1.fc20, anaconda-20.25.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.23.3-1.fc20 anaconda-20.25.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20387/anaconda-20.25.5-1.fc20,python-blivet-0.23.3-1.fc20
then log in and leave karma (feedback).
Comment 8 Vratislav Podzimek 2013-11-01 03:15:56 EDT
Still reverted
Comment 9 Fedora Update System 2013-11-05 14:55:59 EST
Package python-blivet-0.23.3-1.fc20, anaconda-20.25.6-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.23.3-1.fc20 anaconda-20.25.6-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20387/anaconda-20.25.6-1.fc20,python-blivet-0.23.3-1.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-11-07 00:04:29 EST
python-blivet-0.23.3-1.fc20, anaconda-20.25.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Vratislav Podzimek 2013-11-07 06:24:55 EST
Still reverted.
Comment 12 Fedora Update System 2013-11-15 21:12:50 EST
anaconda-20.25.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.25.8-1.fc20
Comment 13 Fedora Update System 2013-11-17 02:04:18 EST
Package anaconda-20.25.8-1.fc20, pykickstart-1.99.46-1.fc20, python-blivet-0.23.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.25.8-1.fc20 pykickstart-1.99.46-1.fc20 python-blivet-0.23.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21553/pykickstart-1.99.46-1.fc20,python-blivet-0.23.5-1.fc20,anaconda-20.25.8-1.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-11-23 23:00:18 EST
pykickstart-1.99.46-1.fc20, python-blivet-0.23.5-1.fc20, anaconda-20.25.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.